Subject: Re: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 12 Aug 2022 17:04:01 +0200

Paul Pogonyshev <[email-masked]> writes:

> Actually no, it doesn't help in all cases. It got better, but sometimes still dies with the
> same error:
>
> Debugger entered--Lisp error: (wrong-type-argument processp nil)
>   process-mark(nil)
>   (move-marker (process-mark proc) (point) (current-buffer))

Yeah, I suspected that this was a too brittle solution.

The real solution would be to use `make-process' here so that we can
specify the filter/sentinel immediately, but I'm not sure how that will
interfere with Tramp?

Anyway, I'm reopening this bug report.